### Method

# Ide Debugger get_selected_thread

#### Declaration

    IdeDebuggerThread*
    ide_debugger_get_selected_thread (
      IdeDebugger* self
    )

#### Description

Gets the current selected thread by the debugger.

Available since: | 3.32

Gets property | `Ide.Debugger:selected-thread`

#### Return value

Returns: | `IdeDebuggerThread`
| An `IdeDebuggerThread` or `NULL`.
| The data is owned by the instance.
| The return value can be `NULL`.